Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707000 - sys-apps/fwts-17.02.00 : fails to build with -fno-common or gcc-10
Summary: sys-apps/fwts-17.02.00 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 725662
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 19:15 UTC by Toralf Förster
Modified: 2020-06-24 15:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.79 KB, text/plain)
2020-01-28 19:15 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,126.03 KB, text/plain)
2020-01-28 19:15 UTC, Toralf Förster
Details
environment (environment,57.85 KB, text/plain)
2020-01-28 19:15 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.67 KB, application/x-bzip)
2020-01-28 19:15 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,774.89 KB, application/x-bzip)
2020-01-28 19:15 UTC, Toralf Förster
Details
sys-apps:fwts-17.02.00:20200128-185804.log (sys-apps:fwts-17.02.00:20200128-185804.log,252.65 KB, text/plain)
2020-01-28 19:15 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 19:15:32 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libfwtsiasl_la-aslcompiler.o:(.bss+0x8): multiple definition of `AslCompilerlval'; .libs/libfwtsiasl_la-aslcompilerlex.o:(.bss+0x8): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libfwtsiasl_la-prparserlex.o:/var/tmp/portage/sys-apps/fwts-17.02.00/work/src/acpica/source/compiler/prparser.l:191: multiple definition of `LexBuffer'; .libs/libfwtsiasl_la-dtparserlex.o:/var/tmp/portage/sys-apps/fwts-17.02.00/work/src/acpica/source/compiler/dtparser.l:175: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 17:46:28 +0000

emerge -qpvO sys-apps/fwts
[ebuild  N    ] sys-apps/fwts-17.02.00
Comment 1 Toralf Förster gentoo-dev 2020-01-28 19:15:34 UTC
Created attachment 607104 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 19:15:38 UTC
Created attachment 607106 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 19:15:40 UTC
Created attachment 607108 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 19:15:43 UTC
Created attachment 607110 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 19:15:46 UTC
Created attachment 607112 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 19:15:49 UTC
Created attachment 607114 [details]
sys-apps:fwts-17.02.00:20200128-185804.log
Comment 7 Larry the Git Cow gentoo-dev 2020-06-24 15:57:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfcc498d03907dafa3f7f79b045d6c3d4e896847

commit bfcc498d03907dafa3f7f79b045d6c3d4e896847
Author:     Jeffrey Lin <jeffrey@icurse.nl>
AuthorDate: 2020-05-31 23:53:12 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-06-24 15:38:29 +0000

    sys-apps/fwts: drop old
    
    Closes: https://bugs.gentoo.org/707000
    Signed-off-by: Jeffrey Lin <jeffrey@icurse.nl>
    Closes: https://github.com/gentoo/gentoo/pull/16039
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 sys-apps/fwts/Manifest             |  1 -
 sys-apps/fwts/fwts-17.02.00.ebuild | 45 --------------------------------------
 2 files changed, 46 deletions(-)